apiVersion: kubeflow.org/v1
kind: Notebook
metadata:
  annotations:
    notebooks.kubeflow.org/last-activity: '2024-04-26T01:08:46Z'
    notebooks.kubeflow.org/last_activity_check_timestamp: '2024-04-26T01:08:46Z'
    notebooks.opendatahub.io/inject-oauth: 'true'
    notebooks.opendatahub.io/last-image-selection: 's2i-minimal-notebook:2024.1'
    notebooks.opendatahub.io/last-size-selection: Small
    notebooks.opendatahub.io/oauth-logout-url: >-
      https://rhods-dashboard-redhat-ods-applications.apps.hnalla.dev.datahub.redhat.com/notebookController/hnalla-40redhat-2ecom/home
    opendatahub.io/accelerator-name: ''
    opendatahub.io/username: hnalla@redhat.com
  resourceVersion: '198050711'
  name: jupyter-nb-hnalla-40redhat-2ecom
  uid: b63fab84-8c4a-4ee7-a968-e4745a117fc5
  creationTimestamp: '2024-04-26T01:05:50Z'
  generation: 2
  managedFields:
    - apiVersion: kubeflow.org/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:notebooks.kubeflow.org/last-activity': {}
            'f:notebooks.kubeflow.org/last_activity_check_timestamp': {}
      manager: Go-http-client
      operation: Update
      time: '2024-04-26T01:08:46Z'
    - apiVersion: kubeflow.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:notebooks.opendatahub.io/inject-oauth': {}
            'f:notebooks.opendatahub.io/last-image-selection': {}
            'f:notebooks.opendatahub.io/last-size-selection': {}
            'f:notebooks.opendatahub.io/oauth-logout-url': {}
            'f:opendatahub.io/accelerator-name': {}
            'f:opendatahub.io/username': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:opendatahub.io/dashboard': {}
            'f:opendatahub.io/odh-managed': {}
            'f:opendatahub.io/user': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:spec':
              .: {}
              'f:affinity': {}
              'f:containers': {}
              'f:enableServiceLinks': {}
              'f:tolerations': {}
              'f:volumes': {}
      manager: unknown
      operation: Update
      time: '2024-04-26T01:08:46Z'
    - apiVersion: kubeflow.org/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:containerState':
            .: {}
            'f:running':
              .: {}
              'f:startedAt': {}
          'f:readyReplicas': {}
      manager: Go-http-client
      operation: Update
      subresource: status
      time: '2024-04-26T01:09:04Z'
  namespace: redhat-ods-applications
  labels:
    app: jupyter-nb-hnalla-40redhat-2ecom
    opendatahub.io/dashboard: 'true'
    opendatahub.io/odh-managed: 'true'
    opendatahub.io/user: hnalla-40redhat-2ecom
spec:
  template:
    spec:
      affinity: {}
      containers:
        - resources:
            limits:
              cpu: '2'
              memory: 8Gi
            requests:
              cpu: '1'
              memory: 8Gi
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: >-
                /notebook/redhat-ods-applications/jupyter-nb-hnalla-40redhat-2ecom/api
              port: notebook-port
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 1
          name: jupyter-nb-hnalla-40redhat-2ecom
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: >-
                /notebook/redhat-ods-applications/jupyter-nb-hnalla-40redhat-2ecom/api
              port: notebook-port
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 1
          env:
            - name: NOTEBOOK_ARGS
              value: |-
                --ServerApp.port=8888
                                  --ServerApp.token=''
                                  --ServerApp.password=''
                                  --ServerApp.base_url=/notebook/redhat-ods-applications/jupyter-nb-hnalla-40redhat-2ecom
                                  --ServerApp.quit_button=False
                                  --ServerApp.tornado_settings={"user":"hnalla-40redhat-2ecom","hub_host":"https://rhods-dashboard-redhat-ods-applications.apps.hnalla.dev.datahub.redhat.com","hub_prefix":"/notebookController/hnalla-40redhat-2ecom"}
            - name: JUPYTER_IMAGE
              value: >-
                image-registry.openshift-image-registry.svc:5000/redhat-ods-applications/s2i-minimal-notebook:2024.1
          ports:
            - containerPort: 8888
              name: notebook-port
              protocol: TCP
          imagePullPolicy: Always
          volumeMounts:
            - mountPath: /opt/app-root/src
              name: jupyterhub-nb-hnalla-40redhat-2ecom-pvc
            - mountPath: /dev/shm
              name: shm
          image: >-
            image-registry.openshift-image-registry.svc:5000/redhat-ods-applications/s2i-minimal-notebook:2024.1
          workingDir: /opt/app-root/src
        - resources:
            limits:
              cpu: 100m
              memory: 64Mi
            requests:
              cpu: 100m
              memory: 64Mi
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /oauth/healthz
              port: oauth-proxy
              scheme: HTTPS
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 1
          name: oauth-proxy
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /oauth/healthz
              port: oauth-proxy
              scheme: HTTPS
            initialDelaySeconds: 30
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 1
          env:
            - name: NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          ports:
            - containerPort: 8443
              name: oauth-proxy
              protocol: TCP
          imagePullPolicy: Always
          volumeMounts:
            - mountPath: /etc/oauth/config
              name: oauth-config
            - mountPath: /etc/tls/private
              name: tls-certificates
          image: >-
            registry.redhat.io/openshift4/ose-oauth-proxy@sha256:4bef31eb993feb6f1096b51b4876c65a6fb1f4401fee97fa4f4542b6b7c9bc46
          args:
            - '--provider=openshift'
            - '--https-address=:8443'
            - '--http-address='
            - '--openshift-service-account=jupyter-nb-hnalla-40redhat-2ecom'
            - '--cookie-secret-file=/etc/oauth/config/cookie_secret'
            - '--cookie-expire=24h0m0s'
            - '--tls-cert=/etc/tls/private/tls.crt'
            - '--tls-key=/etc/tls/private/tls.key'
            - '--upstream=http://localhost:8888'
            - '--upstream-ca=/var/run/secrets/kubernetes.io/serviceaccount/ca.crt'
            - '--email-domain=*'
            - '--skip-provider-button'
            - >-
              --openshift-sar={"verb":"get","resource":"notebooks","resourceAPIGroup":"kubeflow.org","resourceName":"jupyter-nb-hnalla-40redhat-2ecom","namespace":"$(NAMESPACE)"}
            - >-
              --logout-url=https://rhods-dashboard-redhat-ods-applications.apps.hnalla.dev.datahub.redhat.com/notebookController/hnalla-40redhat-2ecom/home
      enableServiceLinks: false
      serviceAccountName: jupyter-nb-hnalla-40redhat-2ecom
      volumes:
        - name: jupyterhub-nb-hnalla-40redhat-2ecom-pvc
          persistentVolumeClaim:
            claimName: jupyterhub-nb-hnalla-40redhat-2ecom-pvc
        - emptyDir:
            medium: Memory
          name: shm
        - name: oauth-config
          secret:
            defaultMode: 420
            secretName: jupyter-nb-hnalla-40redhat-2ecom-oauth-config
        - name: tls-certificates
          secret:
            defaultMode: 420
            secretName: jupyter-nb-hnalla-40redhat-2ecom-tls
status:
  conditions:
    - lastProbeTime: '2024-04-26T01:09:04Z'
      lastTransitionTime: '2024-04-26T01:08:46Z'
      status: 'True'
      type: Initialized
    - lastProbeTime: '2024-04-26T01:09:04Z'
      lastTransitionTime: '2024-04-26T01:09:04Z'
      status: 'True'
      type: Ready
    - lastProbeTime: '2024-04-26T01:09:04Z'
      lastTransitionTime: '2024-04-26T01:09:04Z'
      status: 'True'
      type: ContainersReady
    - lastProbeTime: '2024-04-26T01:09:04Z'
      lastTransitionTime: '2024-04-26T01:08:46Z'
      status: 'True'
      type: PodScheduled
  containerState:
    running:
      startedAt: '2024-04-26T01:08:51Z'
  readyReplicas: 1
